Summary:	GPSBabel converts GPS data from one format to another	
Name:		gpsbabel
Version:	1.3.6
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools		

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		gpsbabel-1.3.5-autoconf.patch
Patch1:		gpsbabel-1.3.6-fix-str-fmt.patch
URL:		http://%{name}.sourceforge.net
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	expat-devel libusb-devel zlib-devel

%description
GPSBabel converts waypoints, tracks, and routes from one format to another, 
whether that format is a common mapping format like Delorme, Streets and 
Trips, or even a serial upload or download to a GPS unit such as those from 
Garmin and Magellan. By flatting the Tower of Babel that the authors of 
various programs for manipulating GPS data have imposed upon us, it returns 
to us the ability to freely move our own waypoint data between the programs 
and hardware we choose to use.

%prep
%setup -q
perl -pi -e 's|^INSTALL_TARGETDIR=/usr/local/|INSTALL_TARGETDIR=\$(DESTDIR)%_usr|' Makefile
%patch0 -p1
%patch1

# fix bad execute perms
%{__chmod} a-x *.c *.h

%build
%configure2_5x --with-zlib=system
%make

%install
install -d %buildroot%{_bindir}
%makeinstall_std

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README* COPYING
%{_bindir}/%{name}


%changelog
* Thu Jan 08 2009 Emmanuel Andry <eandry@mandriva.org> 1.3.6-1mdv2009.1
+ Revision: 327269
- New version 1.3.6
- use configure2_5x
- reimport broken P0 from Fedora
- diff P1 to fix str fmt

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-3mdv2009.0
+ Revision: 246546
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-1mdv2008.1
+ Revision: 165954
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 1.3.4-1mdv2008.0
+ Revision: 81316
- New version

  + Nicolas Vigier <nvigier@mandriva.com>
    - Import gpsbabel



* Sat Jun 03 2006 Stew Benedict <sbenedict@mandriva.com> 1.2.7-1mdv2007.0
- 1.2.7

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.2.5-1mdk
- New release 1.2.5

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.2.3-2mdk
- Rebuild

* Tue Sep 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.3-1mdk
- First mandrakelinux release (suggestion from Lars Luthman)
